/// <reference types="supertest" />
import { IMidwayApplication } from '@midwayjs/core';
import { EnhancedFunc } from '@midwayjs/hooks-core';
export declare function createAppImplementation(baseDir: string, isFunction: boolean): Promise<HooksApplication>;
export declare function createApp(baseDir?: string): Promise<HooksApplication>;
export declare function createFunctionApp(baseDir?: string): Promise<HooksApplication>;
export declare class HooksApplication {
    private readonly app;
    constructor(app: IMidwayApplication<any>);
    runFunction<T extends EnhancedFunc>(fn: T, ...args: Parameters<T>): Promise<any>;
    request<T extends EnhancedFunc>(fn: T, ...args: Parameters<T>): import("supertest").Test;
    close(): Promise<void>;
}
